Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 165841 - Can`t deactivate particular module in shared installation
Can`t deactivate particular module in shared installation
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Plugin Manager
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
:
: 166748 170202 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 16:27 UTC by dlipin
Modified: 2009-08-12 08:05 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dlipin 2009-05-22 16:27:23 UTC
1) Install IDE as root, use as non-root
2) Run IDE, open Tools->Plugins, switch to Installed tab.

Choose any active item, invoke popup menu. 
"Deactivate" option is disabled in menu (one issue), "Deactivate" button is also disabled (another issue) and I can`t 
check this item (third issue) => can`t deactivate this item at all.
The only option is to deactivate the whole category.

The similar about inactive item.
Comment 1 dlipin 2009-06-09 10:21:41 UTC
*** Issue 166748 has been marked as a duplicate of this issue. ***
Comment 2 Marian Mirilovic 2009-06-09 10:45:21 UTC
as mentioned in issue 166748 - this is stopper for NB 6.7
... also please look at patch proposed by jarda in issue 166748
Comment 3 fordfrog 2009-06-09 11:39:15 UTC
I tested jtulach's patch and it fixes the problem, now plugins that are owned by root can be activated and deactivated
by normal user.
Comment 4 dlipin 2009-06-09 17:54:07 UTC
pushed Jarda`s patch to core-main.
http://hg.netbeans.org/core-main/rev/eddc425e731b
Comment 5 Jaroslav Tulach 2009-06-10 08:56:40 UTC
So much honor, I am default owner of this P1 now. What am I supposed to do? Just integrate to 6.7 clone? I guess so, 
as the review has been done and fix verified.
Comment 6 Marian Mirilovic 2009-06-10 09:02:44 UTC
michael, 
could you please verify the fix in trunk (I mean check for regressions mainly). Thanks in advance.

jtulach, 
please wait for verification from Michael (needs to be integrated into release67 today by 8pm CEST).
Comment 7 dlipin 2009-06-10 09:18:00 UTC
The latest trunk builds (from main-silver) failed so we probably we won`t have another build till 8pm CEST.
Comment 9 dlipin 2009-06-10 10:35:23 UTC
A-ha.. I see. Michael, please verify.
Comment 10 Michael Nazarov 2009-06-10 10:39:07 UTC
From zip files? Is it okey?
Comment 11 Michael Nazarov 2009-06-10 12:05:41 UTC
Looks fixed using specified zip on OpenSolaris x86.

BTW I faced another problem, but exception reported claimed it as duplicate.
It's about activating then deactivating plugin without restart then another
attempt to deactivate. Not sure this is due to root/user will check.
Comment 12 dlipin 2009-06-10 13:39:20 UTC
I suppose it is a GO for this fix (the exception issue is handled separately in 134595).
http://hg.netbeans.org/release67/rev/17531d998ddb
Comment 13 Michael Nazarov 2009-06-10 13:41:25 UTC
zip bundle on OpenSolaris x86.
Comment 14 Quality Engineering 2009-06-11 08:48:11 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/eddc425e731b
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #165841 Can`t deactivate particular module in shared installation (Jarda`s patch)
Comment 15 Jaroslav Tulach 2009-08-11 17:22:31 UTC
The fix is not in 6.7 release!

See 
http://hg.netbeans.org/main-golden/rev/eddc425e731b
and broken link at
http://hg.netbeans.org/release67/rev/eddc425e731b
Comment 16 Jaroslav Tulach 2009-08-11 17:24:00 UTC
*** Issue 170202 has been marked as a duplicate of this issue. ***
Comment 17 dlipin 2009-08-11 20:02:19 UTC
Jarda, you are not quite right. The fix is there indeed, check
http://hg.netbeans.org/main-golden/rev/eddc425e731b
http://hg.netbeans.org/release67/rev/17531d998ddb
Comment 18 ats37 2009-08-12 08:05:43 UTC
Well, in that case there's either another similar problem, or a regression in the 6.7.1 release download, as I've been
having problems in a fresh installation of that version (see #170202 for full description)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo